<?php
require_once("../includes.inc");

$command="./qcontrol listdomainp";
$file=shell_exec($command." 2>&1");

$data_split = explode("\n", $file);
$domain_name = $data_split;

if (!isset($_POST['submit'])) { // if page is not already submitted, display the form
?>

<html>
<head>
<title>Add A User</title>
</head>
<body>
<form method="post" action="<?php echo $PHP_SELF;?>">
User Name:<input type="text" size="12" maxlength="30" name="username" value=<?$username?> <?php echo $username; ?>> <b>@</b>
<?php
$domain_name = str_replace(" ", "&nbsp;", $domain_name);

echo '<SELECT name=domain_name>';
foreach ($domain_name as $key => $value)
{
echo '<OPTION value='.$value.'> '.$value.'';
}
echo '</select>';

?>
<br>
User's Password:<input type="text" size="30" maxlength="40" name="user_password" value='<?php echo $user_password; ?>'><br />
User's Full Name:<input type="text" size="30" maxlength="40" name="full_username" value='<?php echo $full_username; ?>'><br />
User's Quota in megabytes (NOQUOTA for no quota):<input type="text" size="30" maxlength="40" name="quota" value=<?$quota?> <?php echo $quota; ?>><br />
<p>
Restrictions:<br />
Disable POP Access: <input type="checkbox" value="1" name="dis_pop" <?php echo $no_pop ?>><br />
Disable IMAP Access: <input type="checkbox" value="1" name="dis_imap" <?php echo $no_imap ?>><br />
Disable Webmail Access: <input type="checkbox" value="1" name="dis_webacc" <?php echo $no_webmail ?>><br />
Disable Change Password: <input type="checkbox" value="1" name="dis_changepw" <?php echo $no_passwd_chng ?>><br />
Disable SMTP (relay) access: <input type="checkbox" value="1" name="dis_relay" <?php echo $no_relay ?>><br />
Bounce Inbound Mail To User: <input type="checkbox" value="1" name="bounce_all" <?php echo $no_inbound ?>><br />
<input type="hidden" value="beenthere" name="beenthere">
<input type="submit" value="submit" name="submit">
</form>
<?
		} // end if (!isset($_POST['submit']))

else {
// user clicked submit button


function check_input($data) // this checks the input to make sure there are no illegal characters (HTML code, etc.)
{
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}

$newusername = check_input($_POST['username']);
$newdomain_name = ($_POST['domain_name']);
$newuser_password = check_input($_POST['user_password']);
$newfull_username = check_input($_POST['full_username']);
$newquota = check_input($_POST['quota']);
$new_dis_pop = check_input($_POST['dis_pop']);
$new_dis_imap = check_input($_POST['dis_imap']);
$new_dis_changepw = check_input($_POST['dis_changepw']);
$new_dis_webacc = check_input($_POST['dis_webacc']);
$new_dis_relay = check_input($_POST['dis_relay']);
$new_bounce_all = check_input($_POST['bounce_all']);

// Let's make sure they filled in the required fields
if ((!$newusername) || (!$newuser_password) || (!$newfull_username) || (!$newquota))
        {
        die("You did not fill in all fields.  Hit the BACK button on your browser and fill in all the fields!");
        }
else {

// Check to make sure we entered data correctly
// Check to make sure we entered digits only where applicable.

if ($newquota != "NOQUOTA") {
	if (preg_match("/\D/S",$newquota))
		{
		die("Please enter numbers or NOQUOTA for the quota! Hit your BACK button to correct this.");
		}
	$finalquota = ($newquota * 1024 * 1024); // Math up the quota
} else {
	$finalquota = "NOQUOTA";
}


	$createuser="/usr/share/toaster/qcontrol/utils/qcontrol add_user $newusername@$newdomain_name $newuser_password"; // Initially create the user
	$prepcommand="/usr/share/toaster/qcontrol/utils/qcontrol edit_user -x $newusername@$newdomain_name"; // This clears any limits for user
		// we apply limits (if any) below

	if ($new_dis_imap || $new_dis_changepw || $new_dis_webacc || $new_dis_relay || $new_bounce_all == "1") {
	$command1="/usr/share/toaster/qcontrol/utils/qcontrol edit_user -";
	      	if ($new_dis_pop == "1") {
                	$command1 .= "p";
       		}
        	if ($new_dis_imap == "1") {
                	$command1 .= "i";
        	}
        	if ($new_dis_changepw == "1") {
                	$command1 .= "d";
        	}
        	if ($new_dis_webacc == "1") {
                	$command1 .= "w";
        	}
        	if ($new_dis_relay == "1") {
                	$command1 .= "s";
        	}
		if ($new_bounce_all == "1") {
			$command1 .= "b";
		}
	$command1 .= " ";
	}
	else {
        	$command1="/usr/share/toaster/qcontrol/utils/qcontrol edit_user ";
	}

	$command1 .= "-q $finalquota $newusername@$newdomain_name -c \\\"$newfull_username\\\"";

	$createoutput=shell_exec($createuser."");
	$prepoutput=shell_exec($prepcommand."");
	$output1=shell_exec($command1."");
	print "<pre>$createoutput</pre><br>";
	print "<pre>$prepoutput</pre><br>";
	print "<pre>$output1</pre><br>";
	echo "<br><br><b>User modified.</b>";
	}
	}
?>

