<?php
require_once("../includes.inc");

Header('Cache-Control: no-cache');
Header('Pragma: no-cache');

$log_file = $_POST['logfile'];

function check_input($data) // this checks the input to make sure there are no illegal characters (HTML code, etc.)
{
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}

if (!isset($_POST['display_last'])) {
	$display_last = $default_display_last;
	} else {
	$display_last = check_input($_POST['display_last']);

	if (preg_match("/\D/S",$display_last)) {
        	die("Please enter numbers only for the Display last! Hit your BACK button to correct this.");
        }

	}

if (!isset($_POST['filter_text'])) {
	$filter_text = "";
	} else {
	$filter_text = check_input($_POST['filter_text']);
	}

if (!isset($_POST['submit'])) { // if page is not already submitted, display the form
?>

<html>
<head>
<title>Display Logfile</title>
</head>
<body>
<p>
<form method="post" action="<?php echo $PHP_SELF;?>">
<h2>Display Logfile</h2><br><br>
What Logfile to Display?  <select name="logfile">
	<option value="SMTP">SMTP</option>
	<option value="SPAMD">SPAMD</option>
	<option value="SEND">SEND</option>
	<option value="POP3">POP3</option>
	<option value="POP3-SSL">POP3-SSL</option>
	<option value="AUTHLIB">AUTHLIB</option>
	<option value="CLAMD">CLAMD</option>
	<option value="IMAP4">IMAP4</option>
	<option value="IMAP4-SSL">IMAP4-SSL</option>
	<option value="SUBMISSION">SUBMISSION</option>
</select>
  
<input type="submit" value="View" name="submit">
</form>
<?php

} else {

echo "<h2>Displaying logfile: $log_file</h2> <p>";
?><html><head><body>
<form method="post" action="<?php echo $PHP_SELF;?>">
Displaying last <input type="text" size="4" maxlength="8" name="display_last" value=<?$display_last?> <?php echo $display_last; ?>> lines. Only display lines with matching text: <input type="text" size="15" maxlength="30" name="filter_text" value=<?$filter_text?> <?php echo $filter_text; ?>>
<input type="hidden" value="<?php echo $log_file?>" name="logfile">
<input type="submit" value="Apply" name="submit">
</form>

<?

if (!isset($filter_text)) {
	if ($log_file == "SMTP") {
		$command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $smtp_path/current $display_last";
		}
	if ($log_file == "SPAMD") {
		$command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $spamd_path/current $display_last";
	        }
	if ($log_file == "SEND") {
		$command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $send_path/current $display_last";
	        }
	if ($log_file == "POP3") {
		$command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $pop3_path/current $display_last";
	        }
	if ($log_file == "POP3-SSL") {
		$command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $pop3ssl_path/current $display_last";
	        }
	if ($log_file == "AUTHLIB") {
		$command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $authlib_path/current $display_last";
	        }
	if ($log_file == "CLAMD") {
		$command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $clamd_path/current $display_last";
	        }
	if ($log_file == "IMAP4") {
		$command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $imap4_path/current $display_last";
	        }
	if ($log_file == "IMAP4-SSL") {
		$command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $imap4ssl_path/current $display_last";
	        }
	if ($log_file == "SUBMISSION") {
		$command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $submission_path/current $display_last";
	        }

} else { // Including search text

	if ($log_file == "SMTP") {
                $command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $smtp_path/current $display_last $filter_text";
                }
        if ($log_file == "SPAMD") {
                $command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $spamd_path/current $display_last $filter_text";
                }
        if ($log_file == "SEND") {
                $command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $send_path/current $display_last $filter_text";
                }
        if ($log_file == "POP3") {
                $command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $pop3_path/current $display_last $filter_text";
                }
        if ($log_file == "POP3-SSL") {
                $command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $pop3ssl_path/current $display_last $filter_text";
                }
        if ($log_file == "AUTHLIB") {
                $command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $authlib_path/current $display_last $filter_text";
                }
        if ($log_file == "CLAMD") {
                $command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $clamd_path/current $display_last $filter_text";
                }
        if ($log_file == "IMAP4") {
                $command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $imap4_path/current $display_last $filter_text";
                }
        if ($log_file == "IMAP4-SSL") {
                $command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $imap4ssl_path/current $display_last $filter_text";
                }
        if ($log_file == "SUBMISSION") {
                $command="/usr/share/toaster/qcontrol/utils/qcontrol log_file $submission_path/current $display_last $filter_text";
                }

}
$output=shell_exec($command."");
print "<pre>$output</pre><p>";


}
?>

